commit 917e22efc026e3f3fc71b8dd56d5273dc090091e
Author: Alexander Spyridakis <a.spyridakis@virtualopensystems.com>
Date:   Sun Mar 31 10:32:09 2013 +0200

    Fix LPAE support for KVM enabled builds
    
    Signed-off-by: Alexander Spyridakis <a.spyridakis@virtualopensystems.com>

diff --git a/arch/arm/mm/mmu.c b/arch/arm/mm/mmu.c
index b4f9e2b0..3e8f2b2 100644
--- a/arch/arm/mm/mmu.c
+++ b/arch/arm/mm/mmu.c
@@ -634,6 +634,7 @@ static void __init alloc_init_pte(pmd_t *pmd, unsigned long addr,
 {
 	pte_t *start_pte = early_pte_alloc(pmd);
 	pte_t *pte = start_pte + pte_index(addr);
+	early_pte_install(pmd, start_pte, type->prot_l1);
 
 	/* If replacing a section mapping, the whole section must be replaced */
 	BUG_ON(pmd_bad(*pmd) && ((addr | end) & ~PMD_MASK));
@@ -642,7 +643,6 @@ static void __init alloc_init_pte(pmd_t *pmd, unsigned long addr,
 		set_pte_ext(pte, pfn_pte(pfn, __pgprot(type->prot_pte)), 0);
 		pfn++;
 	} while (pte++, addr += PAGE_SIZE, addr != end);
-	early_pte_install(pmd, start_pte, type->prot_l1);
 }
 
 static void __init alloc_init_section(pud_t *pud, unsigned long addr,
